[noosfero/noosfero][master] 2 commits: script-production: add spaces between pids on running method

Antonio Terceiro gitlab at gitlab.com
Wed Apr 8 03:58:49 BRT 2015


Antonio Terceiro pushed to master at Noosfero / noosfero


Commits:
1948d92c by Rodrigo Souto at 2015-04-07T16:23:01Z
script-production: add spaces between pids on running method

- - - - -
886d362a by Antonio Terceiro at 2015-04-08T06:58:33Z
Merge branch 'running-check' into 'master'

script-production: add spaces between pids on running method

The method `running` o script production was concatenating all pids without spaces.

See merge request !539

- - - - -


1 changed file:

- script/production


Changes:

=====================================
script/production
=====================================
--- a/script/production
+++ b/script/production
@@ -85,7 +85,7 @@ environments_loop() {
 }
 
 do_running() {
-  pids=$(cat tmp/pids/thin.*.pid 2>/dev/null || true)
+  pids=$(sed "s/.*/& /" tmp/pids/thin.*.pid | tr -d '\n' 2>/dev/null || true)
   # passes if any of $pids exist, fails otherwise
   kill -0 $pids > /dev/null 2>&1
 }


View it on GitLab: https://gitlab.com/noosfero/noosfero/compare/ef9d58aafb7889e7e3b6e63249fab1bf4f7fbbad...886d362aa58207483c5f66bb37e54e01afbe2e82
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://listas.softwarelivre.org/pipermail/noosfero-dev/attachments/20150408/eee46ffd/attachment.html>


More information about the Noosfero-dev mailing list